# Class AccessControlException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.SecurityException
java.security.AccessControlException

All Implemented Interfaces:
  `Serializable`

@Deprecated(since="17", forRemoval=true) public class AccessControlException extends SecurityException
Deprecated, for removal: This API element is subject to removal in a future version.
This exception was only useful in conjunction with the Security Manager, which is no longer supported. There is no replacement for the Security Manager or this class.
This exception was originally thrown by the `AccessController` to indicate that a requested access was denied.

Since:
  1.2
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AccessControlException(String s)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs an `AccessControlException` with the specified, detailed message.
`AccessControlException(String s, Permission p)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs an `AccessControlException` with the specified, detailed message, and the requested permission that caused the exception.

## Method Summary

Modifier and Type
Method
Description
`Permission`
`getPermission()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the `Permission` object associated with this exception, or `null` if there was no corresponding `Permission` object.

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AccessControlException

public AccessControlException(String s)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs an `AccessControlException` with the specified, detailed message.

Parameters:
  `s` - the detail message.

### AccessControlException

public AccessControlException(String s, Permission p)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs an `AccessControlException` with the specified, detailed message, and the requested permission that caused the exception.

Parameters:
  `s` - the detail message.
  `p` - the permission that caused the exception.

## Method Details

### getPermission

public Permission getPermission()
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the `Permission` object associated with this exception, or `null` if there was no corresponding `Permission` object.

Returns:
  the Permission object.